package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Faramita Zhao
 * @since 2020-10-26
 */

@TableName("Z_SYSTEM_RULE")
public class SystemRule extends Model<SystemRule> {
   private static final long serialVersionUID = 1L;
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("SITE")
   private String site;
   @TableField("RULE_NAME")
   private String ruleName;
   @TableField("RULE_DESC")
   private String ruleDesc;
   @TableField("RULE_VALUE")
   private String ruleValue;
   @TableField("RULE_GROUP")
   private String ruleGroup;
   @TableField("CREATE_USER_BO")
   private String createUserBo;
   @TableField("UPDATE_USER_BO")
   private String updateUserBo;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("UPDATED_DATE_TIME")
   private LocalDateTime updatedDateTime;

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getRuleName() {
      return ruleName;
   }

   public void setRuleName(String ruleName) {
      this.ruleName = ruleName;
   }

   public String getRuleDesc() {
      return ruleDesc;
   }

   public void setRuleDesc(String ruleDesc) {
      this.ruleDesc = ruleDesc;
   }

   public String getRuleValue() {
      return ruleValue;
   }

   public void setRuleValue(String ruleValue) {
      this.ruleValue = ruleValue;
   }

   public String getRuleGroup() {
      return ruleGroup;
   }

   public void setRuleGroup(String ruleGroup) {
      this.ruleGroup = ruleGroup;
   }

   public String getCreateUserBo() {
      return createUserBo;
   }

   public void setCreateUserBo(String createUserBo) {
      this.createUserBo = createUserBo;
   }

   public String getUpdateUserBo() {
      return updateUserBo;
   }

   public void setUpdateUserBo(String updateUserBo) {
      this.updateUserBo = updateUserBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getUpdatedDateTime() {
      return updatedDateTime;
   }

   public void setUpdatedDateTime(LocalDateTime updatedDateTime) {
      this.updatedDateTime = updatedDateTime;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String RULE_NAME = "RULE_NAME";

   public static final String RULE_DESC = "RULE_DESC";

   public static final String RULE_VALUE = "RULE_VALUE";

   public static final String RULE_GROUP = "RULE_GROUP";

   public static final String CREATE_USER_BO = "CREATE_USER_BO";

   public static final String UPDATE_USER_BO = "UPDATE_USER_BO";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String UPDATED_DATE_TIME = "UPDATED_DATE_TIME";

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SystemRule{" +
         "handle = " + handle +
         ", site = " + site +
         ", ruleName = " + ruleName +
         ", ruleDesc = " + ruleDesc +
         ", ruleValue = " + ruleValue +
         ", ruleGroup = " + ruleGroup +
         ", createUserBo = " + createUserBo +
         ", updateUserBo = " + updateUserBo +
         ", createdDateTime = " + createdDateTime +
         ", updatedDateTime = " + updatedDateTime +
         "}";
   }
}